package com.brilliance.isc.mda.dao;

import com.brilliance.isc.bo.Divcod;
import org.apache.ibatis.annotations.Mapper;

import java.util.Collection;
import java.util.List;
import java.util.Map;

@Mapper
public interface DivcodMapper {

    int insert(Divcod record);

    int insertSelective(Divcod record);

    int updateByPrimaryKeySelective(Divcod record);

    int updateByPrimaryKey(Divcod record);

    int deleteByPrimaryKey(Divcod record);

    int deleteByIds(Collection<Object> collection);

    Divcod selectByPrimaryKey(Divcod record);

    int dyncDelete(Map<String, Object> dyncMap);

    List<Divcod> dyncRead(Map<String, Object> dyncMap);

}